agency-board
POST /v1/agency/boards/{boardId}/webhook-deliveries/{deliveryId}/replay
Send the same payload again.
Kimlik Doğrulama
Bir API anahtarını bearer token olarak gönderin. Bu uç nokta, teknik özelliklerde belirli bir yetki belirtmemektedir; bu nedenle, varsaymak yerine anahtarınıza ihtiyaç duyduğu en az yetkiyi verin ve yanıtı kontrol edin.
Bu uç nokta hiçbir organizasyon kimliği almaz. Anahtarınız zaten ait olduğu organizasyonu tanımlar ve yanıt bu organizasyonla sınırlandırılır.
Dene
Köşeli parantez içindeki her şeyi kendi değerlerinizle ve anahtar yer tutucusunu panonuzdan bir anahtarla değiştirin.
curl -X POST https://api.zinndigital.com/v1/agency/boards/{boardId}/webhook-deliveries/{deliveryId}/replay \
-H "Authorization: Bearer zdk_live_…"Oturum açtınız mı? Panonuzdaki API konsolu, gerçek organizasyon kimliğinizi ve kendi anahtarınızı otomatik olarak doldurur ve isteği canlı API üzerinde çalıştırarak gerçek yanıtı görmenizi sağlar. Bu uç noktayı API konsolunda açın
Ayrıntılar
Re-sends the STORED bytes with a fresh timestamp and a fresh signature over those same bytes. Nothing is re-serialised — a different byte string would produce a signature the receiver cannot verify, which fails as *"your signatures are wrong"* on their side and is unfalsifiable from ours.
Parametreler
| Ad | Tür | Zorunlu | Ne olduğu |
|---|---|---|---|
boardId (path) | Uuid | Evet | Project board ID (UUIDv7). |
deliveryId (path) | Uuid | Evet | Webhook delivery ID (UUIDv7). |
Yanıt
| Ad | Tür | Zorunlu | Ne olduğu |
|---|---|---|---|
id | Uuid | Evet | UUIDv7 identifier — sortable by creation time (docs/02 §8). |
subscription_id | Uuid | Evet | UUIDv7 identifier — sortable by creation time (docs/02 §8). |
event | string | Evet | — |
delivery_key | string | Evet | Sent as `X-Zinn-Delivery`, so the receiver can dedupe too. |
payload | object | Hayır | The body exactly as it was signed and sent. |
status | BoardWebhookDeliveryStatus | Evet | — |
attempts | integer | Evet | — |
response_status | integer | Hayır | — |
response_snippet | string | Hayır | The first 500 bytes your endpoint answered with. When it answered but sent no body, the status we observed; when we could not reach it, or the fault was ours, authored copy sayi… |
next_attempt_at | string | Hayır | — |
delivered_at | string | Hayır | — |
replay_of_id | Uuid | Hayır | UUIDv7 identifier — sortable by creation time (docs/02 §8). |
created_at | string | Evet | — |
Bu uç noktanın dönderebileceği hatalar
401 · 403 · 404